Subject: Re: bug#20177: 24.4: bookmark.el: show all annotations does not display in proper order (FIX INCLUDED)

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 19:35:33 +0200

Stefan Monnier <[email-masked]> writes:

>> The second attached patch file, `fancy.patch', adds an option to display
>> the list of all annotations as a pre-formatted org-mode buffer, based
>> upon the setting of a new variable,
>> `bookmark-show-all-annotations-in-org-mode'.
>
> I'd tend to think that this buffer should be read-only and using a major
> mode that derives from special-mode, which seems incompatible with
> org-mode.  It could still use the Org syntax, of course, maybe with an
> outline-minor-mode.
>
>> +(defvar bookmark-show-all-annotations-in-org-mode nil
>> +"When not `nil', the command `bookmark-show-all-annotations' will
>> +format its display as an org-mode buffer")
>
> I think we can just change the format without introducing an option to
> recover the old format.

I think so too.  Boruch, did you do any further work on this?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no